package com.ruoyi.syzy.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BCustomerXkcxMapper;
import com.ruoyi.syzy.domain.BCustomerXkcx;
import com.ruoyi.syzy.service.IBCustomerXkcxService;

/**
 * 选科收藏Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-18
 */
@Service
public class BCustomerXkcxServiceImpl implements IBCustomerXkcxService 
{
    @Autowired
    private BCustomerXkcxMapper bCustomerXkcxMapper;

    /**
     * 查询选科收藏
     * 
     * @param id 选科收藏ID
     * @return 选科收藏
     */
    @Override
    public BCustomerXkcx selectBCustomerXkcxById(Long id)
    {
        return bCustomerXkcxMapper.selectBCustomerXkcxById(id);
    }

    /**
     * 查询选科收藏列表
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 选科收藏
     */
    @Override
    public List<BCustomerXkcx> selectBCustomerXkcxList(BCustomerXkcx bCustomerXkcx)
    {
        return bCustomerXkcxMapper.selectBCustomerXkcxList(bCustomerXkcx);
    }

    /**
     * 新增选科收藏
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 结果
     */
    @Override
    public int insertBCustomerXkcx(BCustomerXkcx bCustomerXkcx)
    {
        bCustomerXkcx.setCreateTime(DateUtils.getNowDate());
        return bCustomerXkcxMapper.insertBCustomerXkcx(bCustomerXkcx);
    }

    /**
     * 修改选科收藏
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 结果
     */
    @Override
    public int updateBCustomerXkcx(BCustomerXkcx bCustomerXkcx)
    {
        return bCustomerXkcxMapper.updateBCustomerXkcx(bCustomerXkcx);
    }

    /**
     * 批量删除选科收藏
     * 
     * @param ids 需要删除的选科收藏ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerXkcxByIds(Long[] ids)
    {
        return bCustomerXkcxMapper.deleteBCustomerXkcxByIds(ids);
    }

    /**
     * 删除选科收藏信息
     * 
     * @param id 选科收藏ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerXkcxById(Long id)
    {
        return bCustomerXkcxMapper.deleteBCustomerXkcxById(id);
    }
}
